| Home | Libraries | People | FAQ | More

## Struct template forward_iterator

boost::type_erasure::forward_iterator

## Synopsis

    // In header: <boost/type_erasure/iterator.hpp>

    template<typename T = _self, typename Reference = boost::use_default,
             typename DifferenceType = std::ptrdiff_t>
    struct forward_iterator : public boost::type_erasure::iterator< boost::forward_traversal_tag, T, Reference, DifferenceType >
    {
    };